---
title: Docker L3D and Drupal Projects
tags:
- docker
---
# L3D and Drupal Projects

We do provide a couple of project templates for Drupal projects out of the box:

- [Drupal 8](/composer/project/d8/)
- [Drupal 9](/composer/project/d9/)

If you prefer to use your own prroject template, you'll get the most out of
L3D if you add our ccomposer plugin [drupal-development-environment](/composer/plugin/drupal-dev-environment/)
to your required dev components:

```bash
composer require-dev lakedrops/drupal-development-environment
```

This comes with all the dependencies, that help you in local Drupal development:

- [Ahoy](/composer/plugin/ahoy/)
- [Behat](/composer/plugin/b4d/)
- [Docker4Drupal](/composer/plugin/d4d/)
- [Dorgflow](/composer/plugin/dorgflow/)
- [Drupal Environment](/composer/plugin/drupal-environment/)
- [Traefik](/composer/library/traefik/)
- [Utilities](/composer/library/composer-json-utils/)

You'll find the documentation for each of these tools in their own section.

In the current context, just an extra note on the drupal-environment plugin: this
has been moved out of drupal-development-environment and contains all the tasks
and templates to initially build the directory structure and setting files.

It is a great idea to utilize the same structure in your production environment
too. To get there, you can simply add this plugin to your regular requirements:

```bash
composer require lakedrops/drupal-environment
```

In both cases, development and production, your project settings for this
toolset goes into the file `.lakedrops.yml` in your project root and each
project describes in its own documentation, what values go into this file so
that you get similar (but not identical) setup on all stages. It should not
be identical, because you don't want all the development tools on your 
production site.
